Package org.apache.avro.perf.test.reflect

# Class ReflectRecordTest.TestStateDecode

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.reflect.ReflectRecordTest.TestStateDecode

Direct Known Subclasses:
  `ReflectRecordTest_TestStateDecode_jmhType_B1`

Enclosing class:
  `ReflectRecordTest`

public static class ReflectRecordTest.TestStateDecode extends BasicState

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`TestStateDecode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doSetupInvocation()`
`void`
`doSetupTrial()`
Generate test data.

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestStateDecode

public TestStateDecode()

## Method Details

### doSetupTrial

public void doSetupTrial() throws IOException
Generate test data.

Throws:
  `IOException` - Could not setup test data

### doSetupInvocation

public void doSetupInvocation() throws Exception

Throws:
  `Exception`